#ifdef GL_ES
#define LOW lowp
#define MED mediump
#define HIGH highp
precision mediump float;
#else
#define MED
#define LOW
#define HIGH
#endif

uniform sampler2D u_texture;
uniform MED float greyScaleMix;

varying MED vec2 v_texCoords;
varying MED vec4 v_color;

void main()
{
  gl_FragColor = v_color * texture2D(u_texture, v_texCoords);
}

