uniform sampler2D u_texture;
uniform float greyScaleMix;

varying vec2 v_texCoords;
varying vec4 v_color;

void main()
{
  vec4 c = v_color * texture2D(u_texture, v_texCoords);
  float grey = dot(c.rgb,vec3(0.299, 0.587, 0.114));
  vec4 gv = vec4(grey,grey,grey,c.a);
  gl_FragColor = c*(1.0-greyScaleMix) + gv*greyScaleMix;
}